<div class="row input-group mb-3">
	<div class="col-sm-12 col-md-5">
		<label><?php _e('Name for sitemap file:', 'mpg'); ?></label>
		<small><?php _e('Default file name is "multipage-sitemap"', 'mpg'); ?></small>
	</div>

	<div class="col-sm-12 col-md-5">
		<input type="text" name="sitemap_file_name" class="form-control"
		       value="multipage-sitemap" pattern="[a-zA-Z0-9-_]+"
		       title="<?php _e('Letters and numbers only. At least 3 characters.', 'mpg'); ?>"
		       required>
	</div>
</div>

<div class="row input-group">
	<div class="col-sm-12 col-md-5 mb-3">
		<label>
			<?php _e('Max URLs per sitemap file:', 'mpg'); ?>
		</label>
		<small><?php _e('Sitemap XML file (files) will be created in root directory', 'mpg'); ?></small>
	</div>

	<div class="col-sm-12 col-md-5">
		<input type="number" class="form-control" name="sitemap_max_url" value='50000' required>
	</div>
</div>

<div class="row input-group">
	<div class="col-sm-12 col-md-5 mb-3">
		<label for="sitemap_frequency_dropdown">
			<?php _e('Frequency:', 'mpg'); ?>
		</label>
		<small><?php _e('How often search engines should revisit this URL', 'mpg'); ?></small>
	</div>
	<div class="col-sm-12 col-md-5">
		<select name="sitemap_frequency" id="sitemap_frequency_dropdown" class="form-control"
		        required>
			<option value="always"><?php _e('always', 'mpg'); ?></option>
			<option value="hourly"><?php _e('hourly', 'mpg'); ?></option>
			<option value="daily"><?php _e('daily', 'mpg'); ?></option>
			<option value="weekly"><?php _e('weekly', 'mpg'); ?></option>
			<option value="monthly"><?php _e('monthly', 'mpg'); ?></option>
			<option value="yearly"><?php _e('yearly', 'mpg'); ?></option>
			<option value="never"><?php _e('never', 'mpg'); ?></option>
		</select>
	</div>
</div>

<div class="row input-group mb-3">
	<div class="col-sm-2 col-md-5">
		<label>
			<?php _e('Add sitemap to robot.txt', 'mpg'); ?>
		</label>
	</div>
	<div class="col-sm-10 col-md-5">
		<input type="checkbox" name="sitemap_robot" class="form-control" value="1">
	</div>
</div>