<?php
/**
 * Created by PhpStorm.
 * User: Sanchoss
 * Date: 2019-04-30
 * Time: 18:03
 */

    if (!defined('ABSPATH')) exit;

    require_once(__DIR__ . '/functions.php');

    if (isset($_POST['mpg_project_id']) and
        isset($_POST['remote_csv_link']) and
        isset($_POST['datetime_upload_remote_csv']) and
        isset($_POST['action']) and $_POST['action'] === 'Schedule') {

      if(!mpg_app()->is_plan('Pro', true)){
          // If user is a member of Free plan, but has edit html in front and try to set cron task
          // We are just redirect him to main page.
             wp_redirect(MULTIPAGE_PLUGIN_URL);
          }

        $remote_csv_link = $_POST['remote_csv_link'];
        $datetime_upload = $_POST['datetime_upload_remote_csv'];
        $datetime = DateTime::createFromFormat('Y/m/d H:i', $datetime_upload, new DateTimeZone($_POST['mpg_timezone_name']));
        $hook_execution_time = $datetime->getTimestamp();
        $periodicity = $_POST['periodicity'];
        $cron_notification = $_POST['cron-notification'];
        $project_id = (int) $_POST['mpg_project_id'];

        $data_for_hook = array($project_id, $remote_csv_link, $cron_notification, $periodicity, $_POST['notification-email']);

        $project_object = get_option('multipages_project_' . $project_id);

        if ($periodicity === 'once') {
            // So, all expressions worked fine, and now we can schedule applying template.
            if (!wp_next_scheduled('schedule_execution')) {
                wp_schedule_single_event($hook_execution_time, 'schedule_execution', $data_for_hook);

                update_value_in_db('multipages_project_' . $project_id,
                    ['scheduled_datetime', 'cron_arguments'], [$datetime_upload, json_encode($data_for_hook)]);

                mpg_show_notification('success', __('Your task was successfully scheduled at', 'mpg') . ' ' . $datetime_upload . ' ' . __('with periodicity', 'mpg') . ' ' . $periodicity);
            }

        } elseif (in_array($periodicity, ['hourly', 'twicedaily', 'daily', 'weekly', 'monthly'])) {
            if (!wp_next_scheduled('schedule_execution')) {
                wp_schedule_event($hook_execution_time, $periodicity, 'schedule_execution', $data_for_hook);

                update_value_in_db(
                    'multipages_project_' . $project_id,
                    ['scheduled_datetime', 'cron_arguments'], [$datetime_upload, json_encode($data_for_hook)]);

                mpg_show_notification('success', __('Your task was successfully scheduled at', 'mpg') . ' <b>' . $datetime_upload . '</b> ' . __('with periodicity', 'mpg') . '<b>' . $periodicity . '</b>');
            }
        } else {
            mpg_show_notification('danger', __('Recurrence was not set correct', 'mpg'));
        }

    } elseif (isset($_POST['action']) and $_POST['action'] === 'Unschedule' and isset($_POST['mpg_project_id'])) {

        $project_id = (int) $_POST['mpg_project_id'];

        $project_object = get_option('multipages_project_' . $project_id);

        wp_clear_scheduled_hook('schedule_execution', $project_object['cron_arguments'], true);

        delete_option('multipages_cron_argument');

        update_value_in_db(
            'multipages_project_' . $project_id,
            ['scheduled_datetime'], [null]
        );

        // Show notification, that task was canceled
        mpg_show_notification('warning', __('Your scheduled task was canceled.', 'mpg'));
    }
