<?php

if ( ! defined( 'ABSPATH' ) ) exit;

function mpg_welcome_screen()
{ ?>


    <div class="container-fluid welcome-screen">

        <div class="notification-container"></div>

        <?php

        // if permalinks set as ?p=123
        if(get_option( 'permalink_structure') === ''){
            mpg_show_notification('danger', __('Permalink structure cannot be "Plain".  Please switch off to', 'mpg') . ' <a href="' . admin_url('options-permalink.php') .'" target="_blank">' . __('another permalink structure', 'mpg') . '</a> ' . __('in order for MPG to work properly.', 'mpg'));
        } ?>

        <div class="col-xs-12">
<!--            mb/mt=5 => 3 rem-->
            <h1 class="mt-5 mb-5"><?php _e('Welcome to MPG', 'mpg');?></h1>
        </div>
        <div class="row">
            <div class="col-xs-12 col-sm-6">
                <iframe height="315" style="width: 100%; height:315px!important; max-height: 315px;" src="https://www.youtube.com/embed/8ZaC4XkpiR8?autoplay=1"
                        frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
            </div>
            <div class="col-xs-12 col-sm-6">
                <?php if(!mpg_app()->is_plan('Pro', true)){ ?>
                    <section class="header-section">
                        <h2 class="font-weight-bold"><?php _e('Go Unlimited with MPG Pro', 'mpg'); ?></h2>
                        <p><?php _e('Enjoy unlimited pages and advanced features only available in Pro version.', 'mpg');?></p>
                        <a href="<?php echo mpg_app()->get_upgrade_url();?>">
                            <button class="btn btn-outline-primary"><?php _e('Upgrade to PRO', 'mpg'); ?></button>
                        </a>
                    </section>
                <?php } ?>

            </div>
        </div>
        <div class="row mt-5">
            <div class="col-xs-12 col-sm-6">
                <p class="list-title"><span>❓</span><?php _e('Where to start with', 'mpg');?> <a href="https://www.mpgwp.com/" target="_blank">MPG:</a>
                </p>
                <ol>
                    <li><?php _e('Check if your CSV file has a <b>URL column</b> and that each URL is unique and doesn’t exist elsewhere in your website.', 'mpg');?>
                    </li>
                    <li><?php _e('Create your template page with shortcodes to your data using the columns’ header names. The correct format is:', 'mpg');?> <b>{{mpg_header-name}}</b></li>
                    <li><?php _e('Set your template page and upload your CSV file. Click', 'mpg');?>  <b><?php _e('"Upload Settings"', 'mpg');?></b> <?php _e('and enjoy!', 'mpg');?> </li>
                </ol>
            </div>
            <div class="col-xs-12 col-sm-6 vertical-separator">
                <p class="list-title"><span>❓</span><?php _e('Experiment with MPG', 'mpg');?></p>
                <ul style="list-style-type:disc;">
                    <li>
                        <a href="https://www.mpgwp.com/tutorials" target="_blank"><?php _e('Watch step-by-step tutorials', 'mpg');?> </a> <?php _e('on how to use', 'mpg');?> <a href="https://mpgwp.com/features/" target="_blank"> <?php _e('MPG’s features.', 'mpg');?></a></li>
                    <li><?php _e('Send us feature requests and read our FAQ', 'mpg');?> <a href="https://www.mpgwp.com/contact-us/"
                                                                     target="_blank"><?php _e('here.', 'mpg');?> </a></li>
                    <li><?php _e('Or test out the MPG plugin on a demo website:', 'mpg');?> </li>
                </ul>

                <div class="row" style="justify-content: flex-start;">
                    <div class="col-xs-4 ml-3">
                            <a href="<?php echo admin_url('?page=multi-pages-plugin');?>" class="btn btn-success"><?php _e('To Dashboard', 'mpg');?> </a>
                    </div>
                    <div class="col-xs-4 ml-3">
                        <a href="admin.php?page=multi-pages-wizard" class="btn btn-success  disabled wizard-go "><?php _e('Wizard', 'mpg');?></a>
                    </div>
                    <div class="col-xs-4 ml-3">
                        <a href="https://www.mpgwp.com/get-mpg/" target="_blank" style="float: left">
                            <button class="btn btn-outline-success"><?php _e('Try demo', 'mpg');?> </button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script>

        $.post(
            ajaxurl,
            {
                action: 'mpg_get_tabs',
            }, function (response) {
                if (response) {
                    let responseObject = JSON.parse(response);
                    // MultiTab is a PRO feature. In FREE available only one tab;
                    if (!responseObject.is_pro_user) {

                        $('.mpg-dashboard .wizard-go').addClass('disabled');
                    } else {
                        $('.mpg-dashboard .wizard-go').removeClass('disabled');
                    }
                }
            });

    </script>

<?php }