<div class="step-2">

    <h2 class="mt-5 mb-5"><?php _e('Step 2: Choose Data Source', 'mog'); ?></h2>

    <div class="progress">
        <div class="progress-bar" role="progressbar" style="width: 40%;">40%</div>
    </div>

    <p><?php _e('Please, choose one of presented data sources:', 'mpg'); ?></p>

    <div class="row">

        <div class="col-sm-12 col-md-4">
            <div class="source" data-source="upload-file">
                <p>From .csv file</p>


                <form action="" method="post" enctype="multipart/form-data" class="template-file">

                    <input type="hidden" name="project_id" value="">
                    <input type="hidden" name="action" value="mpg_data_source_upload_file">
                    <div class="custom-file">
                        <label class="custom-file-label"
                               for="template-file"><?php _e('Choose file', 'mpg'); ?></label>
                        <input type="file" name="multipages_csv_settings" accept=".csv"
                               class="custom-file-input" id="template-file">
                        <button class="btn btn-primary"><?php _e('Use local file', 'mpg'); ?></button>
                    </div>
                </form>

                <div class="additional-info">
                    <p><?php _e('Select .csv file from computer', 'mpg'); ?></p>
                </div>
            </div>
        </div>

        <div class="col-sm-12 col-md-4">
            <div class="source" data-source="remote-file">
                <p><?php _e('From Google Sheets or remote .csv', 'mpg'); ?></p>
                <input type="url" name="remote_csv" placeholder="https://docs.google.com/spreadsheets..."
                       class="form-control">
                <button class="btn btn-primary"><?php _e('Use remote file', 'mpg'); ?></button>

                <div class="additional-info">
                    <p><?php _e('You can paste direct link to any .csv file from Internet, or shared spreadsheet file.', 'mpg'); ?></p>
                </div>
            </div>
        </div>

        <div class="col-sm-12 col-md-4">
            <div class="source" data-source="dataset-library">
                <p><?php _e('From our dataset library', 'mpg') ?></p>
                <select name="dataset_library" id="dataset-library">
                    <option value="choose-dataset" selected
                            disabled="disabled"><?php _e('Choose dataset', 'mpg') ?></option>

                    <?php

                    $path = realpath(plugin_dir_path(__FILE__) . '../../../datasets');
                    $files = array_diff(scandir($path), array('.', '..'));

                    foreach ($files as $file) {

                        $file = str_replace('.csv', '', $file); ?>

                        <option value="<?php echo $file; ?>"><?php echo $file; ?></option>.

                    <?php } ?>
                </select>

                <button class="btn btn-primary"><?php _e('Use library', 'mpg'); ?></button>

                <div class="additional-info">
                    <p><?php _e('Use "Datasets Library" in left sidebar to upload first dataset.', 'mpg'); ?></p>
                </div>
            </div>
        </div>
    </div>

    <div class="navigator">
        <button class="btn btn-info cancel "><?php _e('Cancel', 'mpg'); ?></button>
        <button class="btn btn-success next disabled"><?php _e('Next', 'mpg'); ?></button>
    </div>

</div> <!--step 2-->

