(function ($) {

    import('./components/dashboard/project_tab.js');
    import('./components/dashboard/set_template_file.js');
    import('./components/dashboard/create_edit_delete_project.js');
    import('./components/dashboard/pagination.js');
    import('./components/dashboard/search.js');
    import('./components/dashboard/import_demo_data.js');

    import('./components/wizard/functions.js');

    import('./components/wizard/create_project.js');
    import('./components/wizard/data_source.js');
    import('./components/wizard/url_builder.js');
    import('./components/wizard/setup_sitemap.js');
    import('./components/wizard/template_apply.js');

    import('./components/datasets/datasets.js');

    import ('./languages/loader.js');

    $(document).on('change', '#sitemap_settings_on', function () {
        // If is not disabled - may be used;

        if ($('#sitemap_settings_on').attr('disabled') === undefined) {
            $('#sitemap_settings').fadeToggle('fast');
        }
    });

    // Closing alert notification block
    $('.alert .close').on('click', function () {
        $(this).parent().hide(300);
    });


    $('input[type="file"]').on('change', function (e) {
        let fileName = e.target.files[0].name;
        $('label[for="template-file"]').text(fileName);
    });

})(jQuery)

