import {getProjectUserData} from './project_tab.js';
import {ajaxSearchAction} from "./search.js";

$(document).on('click', '.pagination .page-link', function (e) {

    e.preventDefault();

    let activePage = $('.pagination .page-item.active a');
    let projectId = localStorage.getItem('mpg_current_tab_id');
    let neededPage = parseInt($(this).text());

    //In case of next and previous
    if (isNaN(neededPage)) {

        let activePageHref = activePage.attr('href');
        neededPage = parseInt(activePageHref.replace('#', ''));
    }

    if ($(this).attr('aria-label') === 'Previous') {
        neededPage = neededPage - 1;
    } else if ($(this).attr('aria-label') === 'Next') {

        if (!activePage.hasClass('last')) {
            neededPage = neededPage + 1;
        }
    }

    let dataContext = $('.pagination-block').attr('data-context');

    if(dataContext === 'regular') {

        getProjectUserData(projectId, neededPage);

    }else if(dataContext === 'search'){

        let searchInput = $('.tab-content input[name="mpp_search"]').val();

        ajaxSearchAction(searchInput, projectId, neededPage);
    }

});