import {renderTableWithPagination, getProjectUserData} from "./project_tab.js";

import {__} from '../../languages/loader.js';
import {renderNotification} from "../../helpers.js";


function ajaxSearchAction(searchInput, projectId, neededPage){

    neededPage = neededPage ? neededPage : 1;

    $.post(
        ajaxurl,
        {
            action: 'mpg_get_data_file_content',
            searchInput: searchInput,
            projectId: projectId,
            page: neededPage ? neededPage : 1
        }, function (response) {

            let responseObject = JSON.parse(response);

            if (responseObject.success === true) {

                if (responseObject['data']) {

                    renderTableWithPagination(responseObject, neededPage, 'search');

                } else {
                    renderNotification([{type: 'warning', text: __('No search results found')}]);
                }

            } else {
                console.log(response);
            }

        }).fail((error) => {
        alert(error)
    });
}




$('.search-form').on('submit', function (e) {

    e.preventDefault();

    let searchInput = $(this).find('input[name="mpp_search"]').val();
    let projectId = localStorage.getItem('mpg_current_tab_id');

    // If user submit search form with empty value "", so just show him table with data on 1 page.
    if (searchInput.length) {

        ajaxSearchAction(searchInput, projectId);

    } else {

        getProjectUserData(projectId, 1);

    }

});

export {ajaxSearchAction};