
import {init, getProjectUserData} from "./project_tab.js";
import {renderNotification} from "../../helpers.js";
import {__} from "../../languages/loader.js";

$('form.template-post').on('submit', function(e){

    e.preventDefault();
    try{
    // id of project that creating in Wizard;
    let wizardProjectObject = localStorage.getItem('mpg_wizard_project');
    // if of project that creating in Dashboard
    let dashboardProjectId = localStorage.getItem('mpg_current_tab_id');

    let currentTabId;

    if(location.href.includes('multi-pages-wizard')) {
        currentTabId = JSON.parse(wizardProjectObject).projectId;
    }else {
        currentTabId = dashboardProjectId;
    }

        $.post(
        ajaxurl, {
            action: 'mpg_set_page_template',
            post_template_id:   $('select[name="post_template_id"]').val(),
            post_template_name: $('select[name="post_template_id"] option:selected').text(),
            project_id: currentTabId

        }, function (response) {

            if(JSON.parse(response).success === true){

                if($('.mpg-dashboard').length) {
                    init(currentTabId);
                }else{
                    getProjectUserData(currentTabId, 1);
                    $('.wizard .step-5 .navigator .next').removeClass('disabled');
                }

            }else {
                throw new Error(__('Page template was not set. Response error occurred.'));
            }

        }).fail((error) => {
            throw new Error(__(`Page template was not set. Server error occurred: ${error}`));
        });
        
    }catch (error) {
        renderNotification([{type: 'danger', text: error}]);
    }
});

$('.wizard .step-5 .edit-template-page').on('click', function (e) {

    e.preventDefault();

    let link = $(this).attr('href');
    let pageId = $('select[name="post_template_id"]').val();
    location.href = link.replace('post=&action=edit', `post=${pageId}&action=edit`);

});