import {renderNotification} from "../../helpers.js";
// import 'libs/dataTables/jquery.dataTables.min.js';


(function ($) {

    // const addAndRemoveLinks = $('.add-to-library, .remove-from-library');

    if($('#datasets-list').length) {
        $.post(ajaxurl,
            {
                action: 'get_datasets_list',

            }, function (raw_datasets) {

                let datasetsData = JSON.parse(raw_datasets);
                $('#datasets-list').DataTable({
                    data: datasetsData,
                    responsive: true
                });
            });
    }

    $(document).on('click', '.add-to-library', function (e) {
        e.preventDefault();

        let t = $(this)
        let datasetHref = t.attr('href');
        let datasetName = t.parents('tr').find('td').first().text();

        t.text('Loading...')
        // Freeze all links, to decline users attempts to add or remove multiple elements in parallel.
        $('.add-to-library, .remove-from-library').css('pointer-events', 'none')

        $.post(ajaxurl,
            {action: 'add_dataset_to_user_library',
                href: datasetHref,
                name: datasetName

            }, function (addingResult) {

                if (JSON.parse(addingResult).success) {

                    $('.add-to-library, .remove-from-library').css('pointer-events', 'auto')
                    t.text('Remove')
                        .removeClass('add-to-library')
                        .addClass('remove-from-library')
                } else {
                    renderNotification([{
                        type: 'warning',
                        text: JSON.parse(addingResult).message
                    }]);
                }
            }).error(function (e) {
                let errorString = e.responseText.replace('The site is experiencing technical difficulties.', '');

                let errorObject = JSON.parse(errorString);

                renderNotification([{type: 'warning', text: errorObject.message}]);

                t.text('Add')
                $('.add-to-library, .remove-from-library').css('pointer-events', 'auto')
        });
    });


    $(document).on('click', '.remove-from-library', function (e) {
        e.preventDefault();

        let t = $(this)
        let datasetHref = t.attr('href');
        let datasetName = t.parents('tr').find('td').first().text();

        t.text('Loading...');
        // Freeze all links, to decline users attempts to add or remove multiple elements in parallel.
        $('.add-to-library, .remove-from-library').css('pointer-events', 'none')

        $.post(ajaxurl,
            {action: 'remove_dataset_from_user_library',
                href: datasetHref,
                name: datasetName

            }, function (addingResult) {

                if(JSON.parse(addingResult).success){

                    // Freeze all links, to decline users attempts to add or remove multiple elements in parallel.
                    $('.add-to-library, .remove-from-library').css('pointer-events', 'auto')

                    t.text('Add')
                        .addClass('add-to-library')
                        .removeClass('remove-from-library')
                }else{
                    renderNotification([{
                        type: 'warning',
                        text: JSON.parse(addingResult).message
                    }]);
                }
            });
    });

})(jQuery);