import {

    highlightBlock,
    clearSelectionsInOtherBlocks,
    processingUploadFile,
    processingRemoteFile,
    processingDatasetLibrary

} from "./functions.js";
import {renderNotification} from "../../helpers.js";
import {__} from "../../languages/loader.js";

let remoteFileUrl;

(function ($) {

    $('.wizard  .step-2 .source button').on('click', function (e) {

        e.preventDefault();

        let thisButton = $(this);
        let thisSourceBlock = thisButton.parents('.source');
        let source = $('.wizard .source');


        switch ($(thisSourceBlock).attr('data-source')) {
            case 'upload-file':
                // In case if file was choosed;
                if ($('input[name="multipages_csv_settings"]').val() === "") {

                    renderNotification([{type: 'danger', text: 'File not choosed'}]);

                } else {

                    clearSelectionsInOtherBlocks(thisSourceBlock, source);
                    highlightBlock(thisSourceBlock, source);

                    $('.wizard .step-2 .source form').on('submit', function (e) {
                        e.preventDefault();
                        processingUploadFile(this);
                    });
                }

                break;

            case 'remote-file':

                remoteFileUrl = $('input[name="remote_csv"]').val();
                if (remoteFileUrl === "") {

                    renderNotification([{
                        type: 'warning',
                        text: __('Please, provide correct link to remote file')
                    }]);

                } else {
                    clearSelectionsInOtherBlocks(thisSourceBlock, source);
                    highlightBlock(thisSourceBlock, source);
                }

                break;
            case 'dataset-library':

                if ($('select[name="dataset_library"] option:selected').val() === "choose-dataset") {
                    renderNotification([{
                        type: 'warning',
                        text: __('Please, choose a correct data provider')
                    }]);

                } else {
                    clearSelectionsInOtherBlocks(thisSourceBlock, source);
                    highlightBlock(thisSourceBlock, source);
                }

                break;
        }
    });


    $('.wizard .step-2 .navigator .next').on('click', function () {

        if (!$(this).hasClass('disabled')) {

            let dataSource = $('.wizard .source.active').attr('data-source');

            if (dataSource === 'upload-file') {

                $('.wizard .step-2 .source form').trigger('submit');

            } else if (dataSource === 'remote-file') {

                processingRemoteFile(remoteFileUrl);

            } else if (dataSource === 'dataset-library') {

                let selectedDatasetValue = $('.wizard .source #dataset-library').val();
                processingDatasetLibrary(selectedDatasetValue);

            }
        }
    });
}(jQuery));