import {renderNotification} from "../../helpers.js";
import {toggleStepsBlock} from "./functions.js";

$('.wizard  .step-4 .next').on('click', function () {

    let projectId = JSON.parse(localStorage.getItem('mpg_wizard_project')).projectId;
    $.post(
        ajaxurl,
        {
            action: 'mpg_generate_sitemap_to_project',
            projectId: projectId,
            sitemap_name: $('input[name="sitemap_file_name"]').val(),
            sitemap_max_url: $('input[name="sitemap_max_url"]').val(),
            sitemap_update_freq: $('select[id="sitemap_frequency_dropdown"]').val(),
            add_to_robots: $('input[name="sitemap_robot"]').is(':checked')
        }, function (rawResponse) {

            let response = JSON.parse(rawResponse);

            if(response.success === true){

                $('.wizard .step-5 .sitemap-url')
                    .html(`<a href="${response.link}" target="_blank">${response.link}</a>`)
                $('.wizard .step-5 .sitemap-url-block').show();

                // Jump to 1 step to Url Builder;
                let neededStep = parseInt(localStorage.getItem('mpgCurrentStep')) + 1;
                toggleStepsBlock(neededStep);

            }else {
                renderNotification([{type: 'danger', text: response.notifications}]);
            }
        });
});

$('.wizard .step-4 .skip').on('click', function () {

    let neededStep = parseInt(localStorage.getItem('mpgCurrentStep')) + 1;
    toggleStepsBlock(neededStep);

})
